## org.eclipse.jst.jsf.context.resolver.structureddocument
Interface ITaglibContextResolver

All Superinterfaces:
  IContextResolver, IDocumentContextResolver

    public interface ITaglibContextResolver

extends IDocumentContextResolver

Defines a context resolver that resolves tag library information for a particular context. This interface may be sub-classed or implemented by clients

Method Summary
`java.lang.String` `getTagPrefixForURI(java.lang.String uri)`
`org.w3c.dom.NodeList` `getTagsByNamespaceURI(java.lang.String uri, java.lang.String tagName)` A list all tags in the document context that are called tagName defined in the namespace indicated by uri
`java.lang.String` `getTagURIForNodeName(org.w3c.dom.Node node)`
`boolean` `hasTag(org.w3c.dom.Node node)`

Methods inherited from interface org.eclipse.jst.jsf.context.resolver.IContextResolver
`canResolveContext`

Method Detail

### getTagURIForNodeName

    java.lang.String getTagURIForNodeName(org.w3c.dom.Node node)

  Parameters:
    `node` -
  Returns:
    the URI corresponding to the taglib that defines the node in the context document or null if it cannot be found

### getTagPrefixForURI

    java.lang.String getTagPrefixForURI(java.lang.String uri)

  Parameters:
    `uri` -
  Returns:
    the tag prefix used in the context document for the provided uri or null if it cannot be found.

### getTagsByNamespaceURI

    org.w3c.dom.NodeList getTagsByNamespaceURI(java.lang.String uri,
                                               java.lang.String tagName)

  A list all tags in the document context that are called tagName defined in the namespace indicated by uri

  Parameters:
    `uri` -
    `tagName` -
  Returns:
    a (possibly empty) list of tags -- must never be null. Indicate none found with an empty list.

### hasTag

    boolean hasTag(org.w3c.dom.Node node)

  Parameters:
    `node` -
  Returns:
    true if node has a tag library associated with it in this context